Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691313 - Download overcloud container image fails - incorrect URI
Summary: Download overcloud container image fails - incorrect URI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 11:44 UTC by Alistair Tonner
Modified: 2019-03-21 16:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 16:18:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alistair Tonner 2019-03-21 11:44:02 UTC
Description of problem:
  Openstack build fails downloading overcloud container images

containers/prepare-templates : Downloading overcloud container images environment file] ****************************************************************************************************
Wednesday 20 March 2019  23:46:34 +0200 (0:00:00.279)       0:01:46.995 ******* 
fatal: [undercloud-0 -> localhost]: FAILED! => {"changed": false, "dest": "/tmp/RHEL8_test.KFRXPMBmtd/.workspaces/workspace_2019-03-20_22-24-32/overcloud_container_image_prepare.yaml", "msg": "Request failed", "response": "HTTP Error 404: Not Found", "state": "absent", "status_code": 404, "url": "http://download.devel.redhat.com/rcm-guest/puddles/OpenStack/15.0-RHEL-8/RHOS_TRUNK-15.0-RHEL-8-20190320.n.1/compose/overcloud_container_image_prepare.yaml"}  


Version-Release number of selected component (if applicable):
RHEL8 - RHOSP15




How reproducible:

infrared tripleo-undercloud -v \
     -o undercloud-images.yml \
     --images-task rpm  \
     --images-update yes \
     --build latest \
     --mirror tlv \
     --images-packages vim,wget,drpm,bash-completion



Steps to Reproduce:
1. Deploy openstack 
2.
3.

Actual results:

Step fails with incorrect URI - 
http://download.devel.redhat.com/rcm-guest/puddles/OpenStack/15.0-RHEL-8/RHOS_TRUNK-15.0-RHEL-8-20190320.n.1/compose/overcloud_container_image_prepare.yaml

(the file in question is not in COMPOSENAME/compose/ but in COMPOSENAME/ )

Expected results:

overcloud container images prep file downloads successfully and install completes

Additional info:


Note You need to log in before you can comment on or make changes to this bug.